Cyprich.com

Occasionally Relevant Insights from a Software Builder

By

Upgrading to Windows PowerShell 2.0 from Community Technology Preview

I was surprised to learn that PowerShell 2.0 was released last July. I’ve been running version 2 of the Community Technology Preview for over a year now. When you upgrade to a newer PowerShell, you need to uninstall the older version first. I installed the CTP edition, and then installed the latest version. This is the error that occurred:

 

Setup cannot proceed. Windows Management Framework Core is already installed on your system.

 

This application needs to be uninstalled before you can install PowerShell 2.0. Go to the Control Panel, select Add or Remove Programs, and check on Show Updates to see Windows Management Framework Core. If this is not checked, the application will not be visible in the control panel. When you try to uninstall it, you get a warning that IE 8 may not work correct. Ignore this and uninstall it.

Once the Windows Management Framework Core is uninstalled, you can install PowerShell 2.0 without any problems.

The Scripting with Windows PowerShell site is a good one to get started. There is a free tutorial on learning the shell, a graphical help file and cheat sheet, and a script repository with an extensive library of functions to save you time in building applications.

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.